From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 5 July 2008<P>

john67ragtop, about [["&lt;i&gt;Untitled&lt;/i&gt;":2008.07.05.00.54.30853]<BR>
]:<BR>
<BR>
I worked half a day at double time and went to see The Mongol. Nice foreign flick if you get a chance to see it and don't mind subtitles. This is a great country and right now we need all the blessing we can get. Lately over and over my mantra has been... Dear Lord Help Us All. 
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 5 July 2008<P>

angel & maggie: thanks!
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 5 July 2008<P>

I think the neighbors have taken a second mortgage on their home to buy fireworks. They have rocked my world for the last two nights. My pups are sure the world is coming to an end. But my Capt called me to share the fireworks at the Queen Mary and talked about how much he missed seeing the nation's largest fireworks display with me in Music City. I can say that even as folks are stressed with our current economy, they are still proud to be Americans from what I've heard the past couple of nights!<BR>
<BR>
Happy 4th! Happy Canada Day!<BR>
Thanks for your comments Maggie and b.k.!<BR>
Maggie m, I am also aka Maggie Mink, which has been a bit confusing to some of the old blenderites that have e-mailed me. I have come in and finally read your postings, and greatly enjoyed. I am still behind on reading here as I've lost 3 old friends in the last three months. I'll catch-up. Welcome to all the new blenderites ...... Rennie
<HR>